scala.tools.nsc

# StandardCompileClient

#### class StandardCompileClient extends HasCompileSocket with CompileOutputCommon

The client part of the fsc offline compiler. Instead of compiling things itself, it send requests to a CompileServer.

Source
  CompileClient.scala

Linear Supertypes
CompileOutputCommon, HasCompileSocket, AnyRef, Any
Known Subclasses
CompileClient
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. StandardCompileClient
2. CompileOutputCommon
3. HasCompileSocket
4. AnyRef
5. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new StandardCompileClient()

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from StandardCompileClient to any2stringadd[StandardCompileClient] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (StandardCompileClient, B)

   Implicit information
     This member is added by an implicit conversion from StandardCompileClient to ArrowAssoc[StandardCompileClient] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### def compileOnServer(sock: Socket, args: Seq[String]): Boolean

   Definition Classes
     HasCompileSocket

9. #### lazy val compileSocket: CompileSocket

   Definition Classes
     StandardCompileClient → HasCompileSocket

10. #### def echo(msg: String): Unit

    Definition Classes
      CompileOutputCommon

11. #### def ensuring(cond: (StandardCompileClient) ⇒ Boolean, msg: ⇒ Any): StandardCompileClient

    Implicit information
      This member is added by an implicit conversion from StandardCompileClient to Ensuring[StandardCompileClient] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: (StandardCompileClient) ⇒ Boolean): StandardCompileClient

    Implicit information
      This member is added by an implicit conversion from StandardCompileClient to Ensuring[StandardCompileClient] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: Boolean, msg: ⇒ Any): StandardCompileClient

    Implicit information
      This member is added by an implicit conversion from StandardCompileClient to Ensuring[StandardCompileClient] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### def ensuring(cond: Boolean): StandardCompileClient

    Implicit information
      This member is added by an implicit conversion from StandardCompileClient to Ensuring[StandardCompileClient] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

17. #### val errorMarkers: Set[String]

    Definition Classes
      HasCompileSocket

18. #### def fatal(msg: String): Nothing

    Definition Classes
      CompileOutputCommon

19. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

20. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from StandardCompileClient to StringFormat[StandardCompileClient] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

21. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

22. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

23. #### def info(msg: String): Unit

    Definition Classes
      CompileOutputCommon

24. #### def isErrorMessage(msg: String): Boolean

    Definition Classes
      HasCompileSocket

25. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

26. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

27. #### final def notify(): Unit

    Definition Classes
      AnyRef

28. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

29. #### def process(args: Array[String]): Boolean

30. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

31. #### def toString(): String

    Definition Classes
      AnyRef → Any

32. #### var verbose: Boolean

    Definition Classes
      StandardCompileClient → CompileOutputCommon

33. #### val versionMsg: String

34. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

35. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

36. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

37. #### def warn(msg: String): Unit

    Definition Classes
      CompileOutputCommon

38. #### def →[B](y: B): (StandardCompileClient, B)

    Implicit information
      This member is added by an implicit conversion from StandardCompileClient to ArrowAssoc[StandardCompileClient] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from CompileOutputCommon

### Inherited from HasCompileSocket

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from StandardCompileClient to any2stringadd[StandardCompileClient]

### Inherited by implicit conversion StringFormat from StandardCompileClient to StringFormat[StandardCompileClient]

### Inherited by implicit conversion Ensuring from StandardCompileClient to Ensuring[StandardCompileClient]

### Inherited by implicit conversion ArrowAssoc from StandardCompileClient to ArrowAssoc[StandardCompileClient]

### Ungrouped